> ## Documentation Index
> Fetch the complete documentation index at: https://api.lancepilot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tag

> Create a new tag in the specified workspace.

### JSON Request Example

```json theme={null}
{
  "name": "VIP"
}
```

***

### 📝 Field Requirements

| Field  | Type             | Required | Notes                                           |
| ------ | ---------------- | -------- | ----------------------------------------------- |
| `name` | string (max 255) | Yes      | Tag name (must be unique within the workspace). |

***

### 💡 Notes

* Tag names must be unique within each workspace
* Tags can be used to organize and categorize contacts
* Unlike labels, tags do not have a color property


## OpenAPI

````yaml POST /workspaces/{workspace}/tags
openapi: 3.1.0
info:
  title: Lancepilot API
  description: API for Lancepilot
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://lancepilot.com/api/v3
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace}/tags:
    post:
      tags:
        - Tags
      summary: Create Tag
      description: Create a new tag in the specified workspace.
      parameters:
        - name: workspace
          in: path
          description: ID of the workspace.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Tag creation parameters.
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  maxLength: 255
                  description: Unique name per workspace.
            examples:
              basic:
                summary: Basic Tag
                value:
                  name: VIP
      responses:
        '201':
          $ref: '#/components/responses/201'
        '401':
          $ref: '#/components/responses/401'
        '422':
          $ref: '#/components/responses/422'
components:
  responses:
    '201':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                example: 201
              message:
                type: string
                example: Resource created successfully.
              data:
                type: object
                description: Created resource data.
            required:
              - status
              - message
              - data
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
            required:
              - message
    '422':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Validation error
              errors:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````